Knots Example |
Using Programming Languages other than VBA
Sub Example_Knots() ' This example creates a Spline object in model space and ' returns the knot vector for the new Spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double, endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double Dim knotVector As Variant ' Define the Spline object startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 0: fitPoints(1) = 0: fitPoints(2) = 0: fitPoints(3) = 5 fitPoints(4) = 5: fitPoints(5) = 0: fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 ' Create new Spline object Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ThisDrawing.Application.ZoomAll ' Display the knot vector of the new Spline knotVector = splineObj.Knots MsgBox "The knot vector of the new Spline is: " & vbCrLf & _ knotVector(0) & vbCrLf & _ knotVector(1) & vbCrLf & _ knotVector(2) End Sub
Comments? |